<template>
	<view class="page">
		<u-navbar :title="tit" :border-bottom="false" :background="bgc" title-color='#fff' back-icon-color="#fff"
			title-size='36' height='50'></u-navbar>
		<view class="box">
			<view class="title">
				{{obj.title == undefined ? '' : obj.title}}
			</view>

			<view class="js" v-html="obj.content">
			</view>
		</view>
	</view>
</template>

<script>
	export default {
		data() {
			return {
				obj: {},
				tit: ''
			}
		},
		// 分享到好友（会话）
		onShareAppMessage: function() {
			return {
				title: '创想物联',
				path: '/pages/shouye/index'
			}
		},

		// 分享到朋友圈  
		onShareTimeline: function() {
			return {
				title: '创想物联',
				query: '',
				path: '/pages/shouye/index'
			}
		},
		onLoad(option) {
			this.tit = option.tit
			if (option.tit == '关于我们') {
				this.getabout()
			}else if(option.tit == '隐私政策'){
				this.getabouts()
			}else if(option.tit == '用户服务协议'){
				this.getaboutss()
			}
		},
		methods: {

			getabout() {
				let type = 'about'
				this.$u.get(`/app/article/licence/${type}`).then((res) => {
					if (res.code == 200) {
						this.obj = res.data
					}
				})
			},
			// 隐私政策
			getabouts() {
				let type = 'privacy'
				this.$u.get(`/app/article/licence/${type}`).then((res) => {
					if (res.code == 200) {
						this.obj = res.data
					}
				})
			},
			// 用户协议
			getaboutss() {
				let type = 'user'
				this.$u.get(`/app/article/licence/${type}`).then((res) => {
					if (res.code == 200) {
						this.obj = res.data
					}
				})
			}
		}
	}
</script>

<style lang="scss">
	/deep/ .u-title {
		padding-bottom: 22rpx;
	}

	/deep/ .u-icon__icon {
		padding-bottom: 22rpx;
	}

	page {
		background: linear-gradient(180deg, #8883F0 0%, rgba(255, 255, 255, 0) 100%);
	}

	.page {
		width: 750rpx;
		// position: fixed;
		// top: 0;
		// left: 0;
		overflow: hidden;

		.box {
			width: 750rpx;
			height: 1440rpx;
			background: #F4F5F7;
			border-radius: 0rpx 0rpx 0rpx 0rpx;
			padding: 40rpx 34rpx;
			box-sizing: border-box;
			overflow: scroll;

			.title {
				font-weight: 600;
				font-size: 36rpx;
				color: #3D3D3D;
			}

			.tit {
				font-weight: 600;
				font-size: 36rpx;
				color: #3D3D3D;
				margin-top: 32rpx;
			}

			.nav_top {
				width: 680rpx;
				height: 322rpx;
				background: #EEEEEE;
				border-radius: 0rpx 0rpx 0rpx 0rpx;
				margin: auto;
				margin-top: 32rpx;
			}

			.js {
				font-size: 28rpx;
				color: #3D3D3D;
				margin-top: 32rpx;
			}

			.nav_bom {
				width: 680rpx;
				height: 322rpx;
				background: #EEEEEE;
				border-radius: 0rpx 0rpx 0rpx 0rpx;
				margin: auto;
				margin-top: 32rpx;
			}
		}
	}
</style>